## Index

### Functions

- addCondition
- addPartitionKeyCondition
- addSortKeyCondition
- createConditionFunctions
- createUpdateFunctions
- doAddCondition
- propertyDefinitionFunction
- updateDefinitionFunction

## Functions

### addCondition

- addCondition<R>(expressionType: ExpressionType, attributePath: string, request: R, metadata?: Metadata<any>): RequestConditionFunction<R>

- - Defined in dynamo/expression/request-expression-builder.ts:29

  Adds a condition to the given query.

  #### Type parameters

  - #### R: ConditionalParamsHost

  #### Parameters

  - ##### expressionType: ExpressionType

  - ##### attributePath: string

  - ##### request: R

  - ##### Optional metadata: Metadata<any>

  #### Returns RequestConditionFunction<R>

### addPartitionKeyCondition

- addPartitionKeyCondition<R>(keyName: keyof any, keyValue: any, request: R): R
- addPartitionKeyCondition<T, R>(keyName: keyof T, keyValue: any, request: R, metadata: Metadata<T>): R

- - Defined in dynamo/expression/request-expression-builder.ts:88

  #### Type parameters

  - #### R: BaseRequest<any, any>

  #### Parameters

  - ##### keyName: keyof any

  - ##### keyValue: any

  - ##### request: R

  #### Returns R

- - Defined in dynamo/expression/request-expression-builder.ts:94

  #### Type parameters

  - #### T

  - #### R: BaseRequest<T, any>

  #### Parameters

  - ##### keyName: keyof T

  - ##### keyValue: any

  - ##### request: R

  - ##### metadata: Metadata<T>

  #### Returns R

### addSortKeyCondition

- addSortKeyCondition<R>(keyName: keyof any, request: R): RequestSortKeyConditionFunction<R>
- addSortKeyCondition<T, R>(keyName: keyof T, request: R, metadata: Metadata<T>): RequestSortKeyConditionFunction<R>

- - Defined in dynamo/expression/request-expression-builder.ts:44

  #### Type parameters

  - #### R: ConditionalParamsHost

  #### Parameters

  - ##### keyName: keyof any

  - ##### request: R

  #### Returns RequestSortKeyConditionFunction<R>

- - Defined in dynamo/expression/request-expression-builder.ts:49

  #### Type parameters

  - #### T

  - #### R: ConditionalParamsHost

  #### Parameters

  - ##### keyName: keyof T

  - ##### request: R

  - ##### metadata: Metadata<T>

  #### Returns RequestSortKeyConditionFunction<R>

### createConditionFunctions

- createConditionFunctions<T>(impl: function, ...operators: ConditionOperator[]): T

- - Defined in dynamo/expression/request-expression-builder.ts:181

  Creates an object which contains callable functions for all aliases defined in CONDITION_OPERATOR_ALIAS or if operators parameter is defined, for all the values included in operators

  #### Type parameters

  - #### T

  #### Parameters

  - ##### impl: function

    The function which is called with the operator and returns a function which expects the value for the condition. when executed the implementation defines what to do with the condition, just return it for example or add the condition to the request parameters as another example

    - - (operator: ConditionOperator): any

      - #### Parameters

        - ##### operator: ConditionOperator

        #### Returns any

  - ##### Rest ...operators: ConditionOperator[]

  #### Returns T

### createUpdateFunctions

- createUpdateFunctions<T>(impl: function): T

- - Defined in dynamo/expression/request-expression-builder.ts:162

  Creates an object which contains callable functions for all update operations defined in update-operation type for all the values included in operators

  #### Type parameters

  - #### T

  #### Parameters

  - ##### impl: function

    The function which is called with the operator and returns a function which expects the value for the condition. when executed the implementation defines what to do with the condition, just return it for example or add the condition to the request parameters as another example

    - - (operation: UpdateActionDef): any

      - #### Parameters

        - ##### operation: UpdateActionDef

        #### Returns any

  #### Returns T

### doAddCondition

- doAddCondition<T, R>(expressionType: ExpressionType, attributePath: string, request: R, metadata: Metadata<T> | undefined, operator: ConditionOperator, ...values: any[]): R

- - Defined in dynamo/expression/request-expression-builder.ts:70

  #### Type parameters

  - #### T

  - #### R: ConditionalParamsHost

  #### Parameters

  - ##### expressionType: ExpressionType

  - ##### attributePath: string

  - ##### request: R

  - ##### metadata: Metadata<T> | undefined

  - ##### operator: ConditionOperator

  - ##### Rest ...values: any[]

  #### Returns R

### propertyDefinitionFunction

- propertyDefinitionFunction<T>(attributePath: keyof T): ConditionExpressionDefinitionChain

- - Defined in dynamo/expression/request-expression-builder.ts:140

  #### Type parameters

  - #### T

  #### Parameters

  - ##### attributePath: keyof T

  #### Returns ConditionExpressionDefinitionChain

### updateDefinitionFunction

- updateDefinitionFunction(attributePath: string): UpdateExpressionDefinitionChain
- updateDefinitionFunction<T>(attributePath: keyof T): UpdateExpressionDefinitionChain
- updateDefinitionFunction<T, K>(attributePath: K): UpdateExpressionDefinitionChainTyped<T, K>

- - Defined in dynamo/expression/request-expression-builder.ts:114

  #### Parameters

  - ##### attributePath: string

  #### Returns UpdateExpressionDefinitionChain

- - Defined in dynamo/expression/request-expression-builder.ts:115

  #### Type parameters

  - #### T

  #### Parameters

  - ##### attributePath: keyof T

  #### Returns UpdateExpressionDefinitionChain

- - Defined in dynamo/expression/request-expression-builder.ts:116

  #### Type parameters

  - #### T

  - #### K: keyof T

  #### Parameters

  - ##### attributePath: K

  #### Returns UpdateExpressionDefinitionChainTyped<T, K>

Generated using TypeDoc